
-- treesitter: code parser
return { 
    "nvim-treesitter/nvim-treesitter", 
    build = ":TSUpdate",

    -- set up
    config = function()
        local config = require("nvim-treesitter.config")
        config.setup({
            ensure_installed = {"python", "bash", "lua"},
            highlight = { enable = true },
            indent = { enable = true }
        })
    end
}
